Bug 220944 - Review Request: perl-Text-WrapI18N - Line wrapping with support for several locale setups
Review Request: perl-Text-WrapI18N - Line wrapping with support for several l...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On: 220945
Blocks: FE-ACCEPT 220943
  Show dependency treegraph
 
Reported: 2006-12-29 07:19 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 21:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-12-29 07:19:24 EST
Spec URL: http://dl.atrpms.net/all/perl-Text-WrapI18N.spec
SRPM URL: http://dl.atrpms.net/all/perl-Text-WrapI18N-0.06-1.at.src.rpm
Description:

This is a module which intends to substitute Text::Wrap,
which supports internationalized texts including:
 - multibyte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5,
 - fullwidth characters like east Asian characters which appear in
   UTF-8, EUC-JP, EUC-KR, GB2312, Big5, and so on,
 - combining characters like diacritical marks which appear in UTF-8,
   ISO-8859-11 (aka TIS-620), and so on, and
 - languages which don't use whitespaces between words, like Chinese
   and Japanese.
Comment 1 Axel Thimm 2007-01-01 09:42:26 EST
Spec URL: http://dl.atrpms.net/all/perl-Text-WrapI18N.spec
SRPM URL: http://dl.atrpms.net/all/perl-Text-WrapI18N-0.06-2.at.src.rpm

* Sat Dec 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.06-2
- Add ownership of some perl folders.


Comment 2 Parag AN(पराग) 2007-01-01 23:31:30 EST
I am unable to download SPEC and SRPMS files.
Comment 3 Axel Thimm 2007-01-02 06:09:56 EST
Sorry, they were moved internally (into my "submit to extras folder") while the
site building scripts were running and they missed it. They have been
resurrected now, please retry.
Comment 4 Peter Gordon 2007-01-04 16:10:09 EST
I'll review this when I get home from work tonight.
Comment 5 Peter Gordon 2007-01-04 22:51:55 EST
[ Withdrawing myself as reviewer of this package due to BuildRoot disagreements.
See bug #220888 comment 15 for information. ]
Comment 6 manuel wolfshant 2007-01-05 08:50:22 EST
I'll review this one ASAP, probably Sunday
Comment 7 manuel wolfshant 2007-01-06 06:51:16 EST
Good:

- rpmlint on source rpm returns:
E: perl-Text-WrapI18N unknown-key GPG#66534c2b
which can safely be ignored
- no output from rpmlint on the generated binary
- package meets packaging guidelines, except for the %buildroot which is not the
preferred value (but non blocker)
- the original tar does not include a license file but the (packaged) README
explicitely states that the software is dual licensed as GPL and Artistic (also
used by Perl in which the source is written) which are both approved for
inclusion in Fedora
- the License field corresponds to the above and therefore is OK
- spec file legible, in am. english
- source is latest version, matches upstream, sha1sum returns
f397756b8d0a090fdecbf9c854922c0d9825f284  Text-WrapI18N-0.06.tar.gz
- compiles in mock for devel i386; it's a noarch so no potential need for
exclusion on unsupported archs
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions are sane
- %clean ok
- macro use consistent
- code, not content
- no need for separate -docs package
- nothing in %doc affects runtime
- no need for .desktop file
- no header, static, .pc files
- no scriptlets

SHOULD
- builds in mock, creates a noarch
- the generated package can successfully be used by other programs (po4a)

APPROVED
Comment 8 Axel Thimm 2007-01-06 21:05:32 EST
Thanks, package imported, built for devel and CVS branches requested.

Note You need to log in before you can comment on or make changes to this bug.